
# NOTE: On every new version, we need to manually regenerate the list of XS Provides
# cd Wx-*
# for i in `grep -r "PACKAGE=" * | cut -d " " -f 2 | sed 's|PACKAGE=|perl(|g' | grep "Wx::" | sort -n |uniq`; do printf "Provides: $i)\\n"; done &> provides.txt
# grep -orP '%name{Wx::[^}]*}\s+class' |grep -v "3pm" | cut -d : -f 2- | sed 's|%name{|Provides: perl(|g' | sed 's|} class|)|g' |uniq &>> provides.txt
# cat provides.txt | uniq | sort -n

#
# Conditional build:
%bcond_without	unicode	# ANSI instead of Unicode version of wxGTK
%bcond_with	gtk3	# wxGTK3 instead of wxGTK2
%bcond_with	tests	# "make test" (requires $DISPLAY)

%define		wxpkg	wxGTK%{?with_gtk3:3}%{!?with_gtk3:2}%{?with_unicode:-unicode}
%define		wx_ver		%(rpm -q wxWidgets-devel --qf '%%{VERSION}')
%define		wx_ver_tag	%(echo %{wx_ver} | tr . _)
%define		alien_wxcfg	gtk%{!?with_gtk3:2}_%{wx_ver_tag}%{?with_unicode:_uni}_gcc_3_4
%define		pdir	Wx
%include	/usr/lib/rpm/macros.perl
Summary:	wxPerl - a Perl wrapper for the wxWidgets C++ GUI toolkit
Summary(pl.UTF-8):	wxPerl - wrapper toolkitu graficznego C++ wxWidgets dla Perla
Name:		perl-Wx
Version:	0.9932
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Wx/Wx-%{version}.tar.gz
# Source0-md5:	76f019b04fffec0fda06bf46b0e93046
Source1:	perl-provides
Patch0:		method-typo.patch
URL:		http://wxperl.sourceforge.net/
BuildRequires:	perl-Alien-wxWidgets >= 0.67
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.46
BuildRequires:	perl-ExtUtils-ParseXS >= 3.15
BuildRequires:	perl-ExtUtils-XSpp >= 0.16_02
%if %{with tests}
BuildRequires:	perl-Test-Harness >= 2.26
BuildRequires:	perl-Test-Simple >= 0.45
%endif
BuildRequires:	perl-devel >= 1:5.8.0
# require Alien::wxWidgets with config for desired wx variant
BuildRequires:	%{wxpkg}-devel >= 2.6.3-1
BuildRequires:	perl(Alien::wxWidgets::Config::%{alien_wxcfg})
BuildRequires:	perl(File::Spec::Functions) >= 0.82
BuildRequires:	perl(if) >= 0.03
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Alien-wxWidgets >= 0.25
# Load manually generated Perl dependencies, see note on top of spec file
%(cat %{SOURCE1})
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wxPerl is a Perl wrapper for the wxWidgets C++ GUI toolkit.

%description -l pl.UTF-8
wxPerl to wrapper toolkitu graficznego C++ wxWidgets dla Perla.

%package devel
Summary:	Development package for wxPerl
Summary(pl.UTF-8):	Pakiet do rozwijania oprogramowania przy użyciu wxPerla
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{wxpkg}-devel >= 2.6.3-1

%description devel
Development package for wxPerl.

%description devel -l pl.UTF-8
Pakiet do rozwijania oprogramowania przy użyciu wxPerla.

%prep
%setup -q -n Wx-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--wx-toolkit=gtk%{!?with_gtk3:2} \
	--%{!?with_unicode:no-}wx-unicode
%{__make} \
	CC="%{__cxx}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Wx/*.pod

# not this OS
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Wx/build/MakeMaker/{MacOSX,Win32}* \
	$RPM_BUILD_ROOT%{_mandir}/man3/Wx::build::MakeMaker::Win32_MSVC.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt docs/todo.txt
%{perl_vendorarch}/Wx.pm
%dir %{perl_vendorarch}/Wx
%{perl_vendorarch}/Wx/Perl
%{perl_vendorarch}/Wx/*.pm
%{perl_vendorarch}/Wx/typemap
%dir %{perl_vendorarch}/auto/Wx
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Wx.so
%dir %{perl_vendorarch}/auto/Wx/AUI
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/AUI/AUI.so
%dir %{perl_vendorarch}/auto/Wx/Calendar
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Calendar/Calendar.so
%dir %{perl_vendorarch}/auto/Wx/DND
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/DND/DND.so
%dir %{perl_vendorarch}/auto/Wx/DataView
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/DataView/DataView.so
%dir %{perl_vendorarch}/auto/Wx/DateTime
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/DateTime/DateTime.so
%dir %{perl_vendorarch}/auto/Wx/DocView
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/DocView/DocView.so
%dir %{perl_vendorarch}/auto/Wx/FS
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/FS/FS.so
%dir %{perl_vendorarch}/auto/Wx/Grid
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Grid/Grid.so
%dir %{perl_vendorarch}/auto/Wx/Help
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Help/Help.so
%dir %{perl_vendorarch}/auto/Wx/Html
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Html/Html.so
%dir %{perl_vendorarch}/auto/Wx/IPC
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/IPC/IPC.so
%dir %{perl_vendorarch}/auto/Wx/MDI
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/MDI/MDI.so
%dir %{perl_vendorarch}/auto/Wx/Media
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Media/Media.so
%dir %{perl_vendorarch}/auto/Wx/PerlTest
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/PerlTest/PerlTest.so
%dir %{perl_vendorarch}/auto/Wx/Print
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Print/Print.so
%dir %{perl_vendorarch}/auto/Wx/PropertyGrid
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/PropertyGrid/PropertyGrid.so
%dir %{perl_vendorarch}/auto/Wx/Ribbon
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Ribbon/Ribbon.so
%dir %{perl_vendorarch}/auto/Wx/RichText
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/RichText/RichText.so
%dir %{perl_vendorarch}/auto/Wx/STC
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/STC/STC.so
%dir %{perl_vendorarch}/auto/Wx/Socket
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/Socket/Socket.so
%dir %{perl_vendorarch}/auto/Wx/WebView
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/WebView/WebView.so
%dir %{perl_vendorarch}/auto/Wx/XRC
%attr(755,root,root) %{perl_vendorarch}/auto/Wx/XRC/XRC.so
%{_mandir}/man3/Wx.3pm*
%{_mandir}/man3/Wx::Api.3pm*
%{_mandir}/man3/Wx::Loader.3pm*
%{_mandir}/man3/Wx::NewClass.3pm*
%{_mandir}/man3/Wx::Perl::*.3pm*
%{_mandir}/man3/Wx::Socket.3pm*
%{_mandir}/man3/Wx::Thread.3pm*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wxperl_overload
%{perl_vendorarch}/Wx/Overload
%{perl_vendorarch}/Wx/XSP
%{perl_vendorarch}/Wx/build
%{perl_vendorarch}/Wx/cpp
%{_mandir}/man1/wxperl_overload.1p*
%{_mandir}/man3/Wx::XSP::*.3pm*
%{_mandir}/man3/Wx::build::*.3pm*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Wx.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 727ed75
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> c5d7385
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Mon Jun 12 2017 Jan Rękorajski <baggins@pld-linux.org> 2121806
- updated to 0.9932

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 852c4c1
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f979e8a
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d4bae80
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 06b72c4
- release 3 (by relup.sh)

* Thu Jun 11 2015 Elan Ruusamäe <glen@delfi.ee> fb705e1
- define pdir macro for perl .packlist, etc cleanup

* Thu Jun 11 2015 Elan Ruusamäe <glen@delfi.ee> f01a9c8
- move provides to separate file

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e93239
- rel 2; manually generated provides (from FC)

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d890124
- up to 0.9927

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9df2057
- x32 rebuild
- release 3 (by relup.sh)

* Sat Jan 31 2015 Jan Rękorajski <baggins@pld-linux.org> cdd0a0b
- skip undetectable Wx::PlValidator from requires
- rel 2

* Sun Jan 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 335c9ce
- fixed wx variant selection

* Sun Jan 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 5e90922
- finished

* Tue Jul 29 2014 Jan Rękorajski <baggins@pld-linux.org> 6cb4758
- up to 0.9923

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c16299f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5cb4cb2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e9053be
- converted to UTF-8

* Tue Nov 07 2006 Jakub Bogusz <qboosh@pld-linux.org> 4de6ff0
- cosmetics

